Bug 473411 - PulseAudio 0.9.13 underrun problem on Emu10K1
Summary: PulseAudio 0.9.13 underrun problem on Emu10K1
Keywords:
Status: CLOSED DUPLICATE of bug 462026
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-28 11:52 UTC by Kamil Pawlowski
Modified: 2008-12-08 18:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-08 18:16:00 UTC


Attachments (Terms of Use)
pulseaudio -vvvv debug log (81.07 KB, text/plain)
2008-11-29 01:11 UTC, Wesley Haines
no flags Details

Description Kamil Pawlowski 2008-11-28 11:52:54 UTC
I have SoundBlaster Live! Digital (emu10k1) and after upgrading from fedora 9 to fedora 10 PulseAudio starts sometimes drop sound for sec. Befora upgrading PulseAudio dropout only when I use firefox, now even if system do nothing.

this is output from pulseaudio -vvvvv:

I: module-alsa-sink.c: Underrun!
N: module-alsa-sink.c: Increasing wakeup watermark to 40,00 ms
D: protocol-native.c: Requesting rewind due to end of underrun.
D: module-alsa-sink.c: Requested to rewind 30784 bytes.
D: module-alsa-sink.c: Limited to 24080 bytes.
D: module-alsa-sink.c: before: 6020
D: module-alsa-sink.c: after: 6020
D: module-alsa-sink.c: Rewound 24080 bytes.
D: sink.c: Processing rewind...
D: sink-input.c: Have to rewind 24080 bytes on render memblockq.

Comment 1 Wesley Haines 2008-11-29 01:11:27 UTC
Created attachment 325058 [details]
pulseaudio -vvvv debug log

I can confirm this issue on Fedora 10 (x86_64) and a Soundblaster Live 512 card (same driver). The attachment is the debug log from running 
$ pulseaudio -vvvv

Of course, when I did this by hand it rarely skipped (thus you can see several song plays through Rhythmbox before the "Underrun!" message at the end). In daemon mode, the skipping seems to occur more often. Also, adding PolicyKit permissions to run PulseAudio in Realtime/high-priority mode didn't appear to do much.

Versions: 
alsa-lib-1.0.18-6.rc3.fc10.x86_64
pulseaudio-0.9.13-6.fc10.x86_64

Comment 2 Wesley Haines 2008-11-29 01:28:13 UTC
I should have looked around more -- this appears to be a Duplicate of bug 462026.

Comment 3 Lennart Poettering 2008-12-08 18:16:00 UTC
Don't buy Creative!

*** This bug has been marked as a duplicate of bug 462026 ***


Note You need to log in before you can comment on or make changes to this bug.